package com.ai.da.service;

import com.ai.da.mapper.primary.entity.Collection;
import com.ai.da.mapper.primary.entity.CollectionElement;
import com.ai.da.model.vo.CollectionColorVO;
import com.ai.da.model.vo.UserLikeCollectionVO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 服务类
 *
 * @author yanglei
 * @since 2022-09-11
 */
public interface CollectionService extends IService<Collection> {
    /**
     * 保存collection
     */
    Long saveCollection(Long accountId, String timeZone, String moodTemplateId, String moodboardPostion);

    /**
     * 根据主键查询
     */
    Collection findById(Long id);

    /**
     * 查询choose关联的collection
     */
    UserLikeCollectionVO chooseCollection(Long id);

    String getMoodboardPositionString(Long id);

    List<CollectionColorVO> resolveColorBoard(List<CollectionElement> collectionElements);
}
